\definecolor{rvwvcq}{rgb}{0.08235294117647059,0.396078431372549,0.7529411764705882}
\begin{tikzpicture}[scale=0.89]
\draw [color=gray,xstep=1cm,ystep=1cm] (-1.5,-1.5) grid (3.5,4.5);
\draw[->,color=black] (-1.5,0.) -- (3.5,0.);
\foreach \x in {-1,1,2,3}
\draw[shift={(\x,0)},color=black] (0pt,2pt) -- (0pt,-2pt) node[below] {\footnotesize $\x$};
\draw[->,color=black] (0,-1.5) -- (0,4.5);
\foreach \y in {-1,1,2,3,4}
\draw[shift={(0,\y)},color=black] (2pt,0pt) -- (-2pt,0pt) node[left] {\footnotesize $\y$};
\draw[color=black] (0pt,-8pt) node[left] {\footnotesize $0$};
\draw [domain=-0.25:2.75,line width=1.5pt,color=rvwvcq] plot(\x,{-1+2*\x});
\draw [->] (1.,1.) -- (2.,1.);
\draw [->] (2.,1.) -- (2.,3.);
\draw (1.5,1) node [below] {$\Delta_x$};
\draw (2.4,2) node {$\Delta_y$};
\draw (2.7,3.5) node {$(d)$};
\begin{scriptsize}
\draw [color=black] (1,1)-- ++(-2pt,-2pt) -- ++(4pt,4pt) ++(-4pt,0) -- ++(4pt,-4pt);
%\draw [color=black] (2,3)-- ++(-2pt,-2pt) -- ++(4pt,4pt) ++(-4pt,0) -- ++(4pt,-4pt);
\draw [color=black,very thick] (0,-1)-- ++(-2pt,-2pt) -- ++(4pt,4pt) ++(-4pt,0) -- ++(4pt,-4pt);
\draw (2,-2) node {ordonnée à l'origine $b$};
\draw (2,-2) node (A) {ordonnée à l'origine $b$};
%\draw [->] (0.2,-1.2) to (A) node {};
\draw [->] (-0.6,-1.1) to [out=-120,in=180] (0.1,-2) ;
\draw (1,3.5) node {$a=\dfrac{\Delta_y}{\Delta_x}$};
\end{scriptsize}
\end{tikzpicture}